| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::tracking::contrib_feature::CvHaarEvaluator Class Reference

`#include <opencv2/tracking/feature.hpp>`

Collaboration diagram for cv::detail::tracking::contrib_feature::CvHaarEvaluator:

## Classes
class | FeatureHaar

## Public Member Functions
virtual void | generateFeatures () CV_OVERRIDE
virtual void | generateFeatures (int numFeatures)
| Overload the original generateFeatures in order to limit the number of the features.
const std::vector< CvHaarEvaluator::FeatureHaar > & | getFeatures () const
CvHaarEvaluator::FeatureHaar & | getFeatures (int idx)
virtual void | init (const CvFeatureParams *_featureParams, int _maxSampleCount, Size _winSize) CV_OVERRIDE
virtual float | operator() (int featureIdx, int sampleIdx) CV_OVERRIDE
virtual void | setImage (const Mat &img, uchar clsLabel=0, int idx=1) CV_OVERRIDE
Size | setWinSize () const
void | setWinSize (Size patchSize)
void | writeFeature (FileStorage &fs) const
virtual void | writeFeatures (FileStorage &fs, const Mat &featureMap) const CV_OVERRIDE
Public Member Functions inherited from cv::detail::tracking::contrib_feature::CvFeatureEvaluator
virtual | ~CvFeatureEvaluator ()
const Mat & | getCls () const
float | getCls (int si) const
int | getFeatureSize () const
int | getMaxCatCount () const
int | getNumFeatures () const

## Protected Member Functions
void | compute_integral (const cv::Mat &img, std::vector< cv::Mat_< float > > &ii_imgs)
Protected Member Functions inherited from cv::detail::tracking::contrib_feature::CvFeatureEvaluator

## Protected Attributes
Mat | _ii_img
std::vector< FeatureHaar > | features
bool | isIntegral
Mat | sum
Protected Attributes inherited from cv::detail::tracking::contrib_feature::CvFeatureEvaluator
Mat | cls
CvFeatureParams * | featureParams
int | nneg
int | npos
int | numFeatures
Size | winSize

## Additional Inherited Members
Static Public Member Functions inherited from cv::detail::tracking::contrib_feature::CvFeatureEvaluator
static Ptr< CvFeatureEvaluator > | create (CvFeatureParams::FeatureType type)

## Member Function Documentation

## ◆ compute_integral()

void cv::detail::tracking::contrib_feature::CvHaarEvaluator::compute_integral | ( | const cv::Mat & | img,
|  | std::vector< cv::Mat_< float > > & | ii_imgs )
| inline protected

Here is the call graph for this function:

## ◆ generateFeatures() [1/2]

virtual void cv::detail::tracking::contrib_feature::CvHaarEvaluator::generateFeatures | ( |  | ) |
| virtual

Implements cv::detail::tracking::contrib_feature::CvFeatureEvaluator.

## ◆ generateFeatures() [2/2]

virtual void cv::detail::tracking::contrib_feature::CvHaarEvaluator::generateFeatures | ( | int | numFeatures | ) |
| virtual

Overload the original generateFeatures in order to limit the number of the features.

TODO new method

Parameters

  numFeatures | Number of the features

## ◆ getFeatures() [1/2]

const std::vector< CvHaarEvaluator::FeatureHaar > & cv::detail::tracking::contrib_feature::CvHaarEvaluator::getFeatures | ( |  | ) | const

## ◆ getFeatures() [2/2]

CvHaarEvaluator::FeatureHaar & cv::detail::tracking::contrib_feature::CvHaarEvaluator::getFeatures | ( | int | idx | ) |
| inline

## ◆ init()

virtual void cv::detail::tracking::contrib_feature::CvHaarEvaluator::init | ( | const CvFeatureParams * | _featureParams,
|  | int | _maxSampleCount,
|  | Size | _winSize )
| virtual

Reimplemented from cv::detail::tracking::contrib_feature::CvFeatureEvaluator.

## ◆ operator()()

virtual float cv::detail::tracking::contrib_feature::CvHaarEvaluator::operator() | ( | int | featureIdx,
|  | int | sampleIdx )
| virtual

Implements cv::detail::tracking::contrib_feature::CvFeatureEvaluator.

## ◆ setImage()

virtual void cv::detail::tracking::contrib_feature::CvHaarEvaluator::setImage | ( | const Mat & | img,
|  | uchar | clsLabel = 0,
|  | int | idx = 1 )
| virtual

Reimplemented from cv::detail::tracking::contrib_feature::CvFeatureEvaluator.

## ◆ setWinSize() [1/2]

Size cv::detail::tracking::contrib_feature::CvHaarEvaluator::setWinSize | ( |  | ) | const

## ◆ setWinSize() [2/2]

void cv::detail::tracking::contrib_feature::CvHaarEvaluator::setWinSize | ( | Size | patchSize | ) |

## ◆ writeFeature()

void cv::detail::tracking::contrib_feature::CvHaarEvaluator::writeFeature | ( | FileStorage & | fs | ) | const

## ◆ writeFeatures()

virtual void cv::detail::tracking::contrib_feature::CvHaarEvaluator::writeFeatures | ( | FileStorage & | fs,
|  | const Mat & | featureMap ) const
| virtual

Implements cv::detail::tracking::contrib_feature::CvFeatureEvaluator.

## Member Data Documentation

## ◆ _ii_img

Mat cv::detail::tracking::contrib_feature::CvHaarEvaluator::_ii_img
| protected

## ◆ features

std::vector<FeatureHaar> cv::detail::tracking::contrib_feature::CvHaarEvaluator::features
| protected

## ◆ isIntegral

bool cv::detail::tracking::contrib_feature::CvHaarEvaluator::isIntegral
| protected

## ◆ sum

Mat cv::detail::tracking::contrib_feature::CvHaarEvaluator::sum
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/feature.hpp